- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Reconfiguration::Discrete::MR_connection Class Reference

`#include <MR_connection.h>`

Inheritance diagram for Mers::Reconfiguration::Discrete::MR_connection:

[legend]
List of all members.

## Public Member Functions
| MR_connection ()
virtual | ~MR_connection ()
virtual void | update_current_state (unsigned int variable_index, unsigned int value_index) const =0
virtual Mers::Utils::Containers::intList | generate_commands (Mers::Utils::Containers::intList &goals)=0

## Detailed Description

The default interface for any Mode Reconfiguration object.

Author:
  Andreas F. Wehowsky

  Paul H. Elliott

Definition at line 30 of file MR_connection.h.

## Member Function Documentation

virtual void Mers::Reconfiguration::Discrete::MR_connection::update_current_state | ( | unsigned int | variable_index,
|  | unsigned int | value_index |
| ) |  |  | const`[pure virtual]`

Updates the current state.

Parameters:

  | variable_index | an integer id corresponding to the variable.
  | value_index | an integer id corresponding to the value.

Returns:
  The test results

Implemented in mrInterface, and Mers::Reconfiguration::Discrete::Stub::MRStub.

Referenced by Mers::Executives::DeductiveController::Rtapi::MR::MR_dispatcher::parse_msg().

virtual Mers::Utils::Containers::intList Mers::Reconfiguration::Discrete::MR_connection::generate_commands | ( | Mers::Utils::Containers::intList & | goals | ) | `[pure virtual]`

Generates a new command.

Parameters:

  | goals | reference to a list of goals expressed as integers.

Returns:
  a list of integers that corresponds to the commands. They take the form:
  - {0}: Indicates that no command is necessary, the goal has already been reached.
  - {1}: Indicates that no command can be issued, an observable event must occur first.
  - {1, VarUID, ValUID}: Indicates that the command (VarUID = ValUID) should be issued next.
  - {2}: Indicates that the request goal cannot be achieved.

Implemented in mrInterface, and Mers::Reconfiguration::Discrete::Stub::MRStub.

Referenced by Mers::Executives::DeductiveController::Rtapi::MR::MR_dispatcher::parse_msg().

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Reconfiguration/Discrete/MR_connection.h